/********************************************************************************

	File:		TrapUtils.h

	Contains:	Functions to help you when working with traps.

	File Ownership:	Apple Macintosh Developer Technical Support
	
	Copyright:	 1996-1998 by Apple Computer, Inc., all rights reserved.

	Bugs?:		For bug reports, consult the following page on
				the World Wide Web:

					http://developer.apple.com/bugreporter/


	========================================================================
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided AS IS and the
	responsibility for its operation is 100% yours.  However, what you are
	not permitted to do is to redistribute the source as DSC Sample Code
	after having made changes. If youre going to re-distribute the source,
	we require that you make it clear in the source that the code was
	descended from Apple Sample Code, but that youve made changes.
	========================================================================

	Writers:

		(PG)	Pete Gontier
		(afb)	Andy Bachorski
		
	Change History (most recent first):

		1				PG		Initial pass
		
********************************************************************************/

#if PRAGMA_ONCE
	#pragma once
#endif

#ifndef _TRAP_UTILS_
#define _TRAP_UTILS_


//	A private conditionals file to setup the build environment for this project.

#include "PrivateConditionals.h"


//**********	Universal Headers		****************************************

#include <OSUtils.h>
#include <Traps.h>


//******************************************************************************

#ifdef __cplusplus
	extern "C" {
#endif

#if PRAGMA_IMPORT
	#pragma import on
#endif

#if PRAGMA_STRUCT_ALIGN
	#pragma options align=mac68k
#elif PRAGMA_STRUCT_PACKPUSH
	#pragma pack(push, 2)
#elif PRAGMA_STRUCT_PACK
	#pragma pack(2)
#endif


//******************************************************************************

pascal Boolean	TrapAvailable		( UInt16 trapWord );
pascal void *	MyGetTrapAddress	( UInt16 trapWord );
pascal void 	MySetTrapAddress	( UInt16 trapWord, void * );


//******************************************************************************

#if PRAGMA_STRUCT_ALIGN
	#pragma options align=reset
#elif PRAGMA_STRUCT_PACKPUSH
	#pragma pack(pop)
#elif PRAGMA_STRUCT_PACK
	#pragma pack()
#endif

#ifdef PRAGMA_IMPORT_OFF
	#pragma import off
#elif PRAGMA_IMPORT
	#pragma import reset
#endif

#ifdef __cplusplus
}
#endif

#endif // _TRAP_UTILS_